<?php
    /**
    *
    * copyright (c) 2013-2020 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */

    Class Ordine {
        private $db;
        private $id;
        private $idCliente;
        private $idCarrello;
        private $codiceSconto;
        private $stato;
        private $idTransazione;
        private $destinatario;
        private $indirizzoSpedizione;
        private $citta;
        private $capSpedizione;
        private $codiceTracciamento;
        private $email;

        function __construct($db, $id) {
            $this->db = $db;
            $this->id = $id;
        }

        function modifica() {
            $query = "UPDATE geecEc_ordini SET stato='$this->stato', codiceTracciamento = '$this->codiceTracciamento' WHERE id= $this->id";
            $this->db->eseguiQueryScrittura($query);
        }
        
        function caricaDatiDalDatabase() {
            $datiOrdine = $this->db->leggiSingolaRiga("geecEc_ordini",$this->id);
            $this->idCliente    = $datiOrdine["idCliente"];
            $this->idCarrello   = $datiOrdine["idCarrello"];
            $this->codiceSconto = $datiOrdine["codiceSconto"];
            $this->stato        = $datiOrdine["stato"];
            $this->idTransazione= $datiOrdine["idTransazione"];;
            $this->destinatario = $datiOrdine["destinatario"];;
            $this->indirizzoSpedizione = $datiOrdine["indirizzoSpedizione"];
            $this->citta               = $datiOrdine["citta"];
        }
        
        /*
         * Getter & setter
         */
        
        function getId() {
            return $this->id;
        }

        function getIdCliente() {
            return $this->idCliente;
        }

        function getIdCarrello() {
            return $this->idCarrello;
        }

        function getCodiceSconto() {
            return $this->codiceSconto;
        }

        function getStato() {
            return $this->stato;
        }

        function getIdTransazione() {
            return $this->idTransazione;
        }

        function getDestinatario() {
            return $this->destinatario;
        }

        function getIndirizzoSpedizione() {
            return $this->indirizzoSpedizione;
        }

        function getCitta() {
            return $this->citta;
        }

        function getCapSpedizione() {
            return $this->capSpedizione;
        }

        function getCodiceTracciamento() {
            return $this->codiceTracciamento;
        }

        function getEmail() {
            return $this->email;
        }

        function setId($id) {
            $this->id = $id;
        }

        function setIdCliente($idCliente) {
            $this->idCliente = $idCliente;
        }

        function setIdCarrello($idCarrello) {
            $this->idCarrello = $idCarrello;
        }

        function setCodiceSconto($codiceSconto) {
            $this->codiceSconto = $codiceSconto;
        }

        function setStato($stato) {
            $this->stato = $stato;
        }

        function setIdTransazione($idTransazione) {
            $this->idTransazione = $idTransazione;
        }

        function setDestinatario($destinatario) {
            $this->destinatario = $destinatario;
        }

        function setIndirizzoSpedizione($indirizzoSpedizione) {
            $this->indirizzoSpedizione = $indirizzoSpedizione;
        }

        function setCitta($citta) {
            $this->citta = $citta;
        }

        function setCapSpedizione($capSpedizione) {
            $this->capSpedizione = $capSpedizione;
        }

        function setCodiceTracciamento($codiceTracciamento) {
            $this->codiceTracciamento = $codiceTracciamento;
        }

        function setEmail($email) {
            $this->email = $email;
        }


    }